precision mediump float;
uniform vec3 uCameraLocation;
uniform int uShowLightFrag;
varying vec3 v_color;
varying vec4 v_position;
varying vec4 v_normal;

void main()
{
    vec4 vCameraPos = vec4(uCameraLocation.x, uCameraLocation.y, uCameraLocation.z, 0.0);
    vec4 vDiffuse;
    vec4 vPointToCamera = normalize(vCameraPos - v_position);
    float lambertTerm = dot(v_normal, vPointToCamera);

    if (uShowLightFrag == 1) {
        vDiffuse = vec4(0.9, 0.9, 0.9, 1.0);
    } else if (lambertTerm > 0.0 || length(v_normal) == 0.0) {
        vDiffuse = vec4(v_color, 1.0);
    } else {
        //vDiffuse.rgb = vec3(45.0/255.0, 45.0/255.0, 45.0/255.0);
        vDiffuse = vec4(v_color, 1.0);
    }

    gl_FragColor = vDiffuse;
    //gl_FragColor = vec4(v_color, 1.0);
    //gl_FragColor = vec4(0.9, 0.9, 0.9, 1.0);
}
