precision mediump float;
uniform mat4 uMVPMatrix;
uniform mat4 uRTSMatrix;
uniform vec3 uLightLocation;
uniform vec3 uCameraLocation;
uniform float uPointSize;
uniform int uMonochrome;
uniform int uShowLight;
attribute vec3 aPosition;
attribute vec3 aNormal;
attribute vec3 aColor;
varying vec3 v_color;
varying vec4 v_position;
varying vec4 v_normal;

void main()
{
    vec4 pos = vec4(aPosition, 1.0);

    v_position = uMVPMatrix * pos;

    gl_Position = v_position;
    gl_PointSize = uPointSize;

    float len = length(aNormal);
    if (len > 0.0)
        v_normal = uMVPMatrix * vec4(aNormal, 0.0);
    else
        v_normal = vec4(0.0);

    if (uMonochrome == 1) {
        float monochrome = aColor[0] * 0.35 + aColor[1] * 0.3 + aColor[2] * 0.35;
        v_color = vec3(monochrome / 255.0, monochrome / 255.0, monochrome / 255.0);
    } else {
        v_color = vec3(aColor[0] / 255.0, aColor[1] / 255.0, aColor[2] / 255.0);
    }
}
